import os
import sys
from logger import Logger
import paho.mqtt.client as mqtt
import time
import datetime


DEBUG = False
BACKGROUND = True
PID_FILE = "/opt/logs/mqttClock.pid"
LOG_FILE = "/opt/logs/mqttClock.log"
BROKER = "172.16.2.15"


if BACKGROUND:
    pid = os.fork()
else:
    pid = 0

if pid:
    pidFile = file(PID_FILE , mode='w')
    pidFile.write("%i\n" % pid)
    pidFile.close()
    sys.exit(0)

Logger.openlog(LOG_FILE)

if DEBUG:
    Logger.debugEnable()

Logger.log("mqttClock started")




mqttClient = mqtt.Client()
mqttClient.connect(BROKER, 1883, 60)
mqttClient.loop_start()


try:
    while True:
        time.sleep(60)
        now = datetime.datetime.now()
        secondsSinceMidnight = now.second + now.minute * 60 + now.hour * 60 * 60
        mqttClient.publish('IoT/SecondsSinceMidnight', str(secondsSinceMidnight))
finally:
    Logger.log("mqttClock terminating")



